---
layout: layouts/exercise_base.njk
exercise: Reading and Writing Files in C
points: 5
---

<ol>
  <li><strong>Read the current source file</strong><br />
    Implement a small C program consisting of a single source file
    <code>readme.c</code>. The program must print its own source code
    to <code>stdout</code>. To do so, use the functions <code>fopen(.)</code>
    and <code>fgetc(.)</code>. You can implement this directly in
    <code>main(.)</code>.<br />
    Name the source file: <kbd>readme.c</kbd>
  </li>

  <li><strong>Extended ASCII Codes</strong><br />
    Implement a C program that reads its own source code and prints each
    character's ascii code on a separate line. Note: you don't need a separate
    function to obtain a char's ascii code.<br />
    Name the source file: <kbd>ascii.c</kbd>
  </li>
  <li><strong>Number of Lines</strong><br />
    Implement a C program that prints the number of lines of a given file to
    stdout.<br />
    Name the source file: <kbd>line_count.c</kbd>
  </li>

</ol>
